package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFGO1Response {

    @Parameter(name = "DIC")
    String dic();

    @Parameter(name = "Data")
    java.util.List<MWFGO1Data> data();

    @Parameter(name = "DatumNarozeni")
    java.util.Date datumNarozeni();

    @Parameter(name = "Domicil")
    String domicil();

    @Parameter(name = "DruhDruhehoDokladu")
    String druhDruhehoDokladu();

    @Parameter(name = "DruhyDokladCislo")
    String druhyDokladCislo();

    @Parameter(name = "DruhyDokladPlatnost")
    java.util.Date druhyDokladPlatnost();

    @Parameter(name = "EkonomAktivCR")
    String ekonomAktivCR();

    @Parameter(name = "EkonomAktivSR")
    String ekonomAktivSR();

    @Parameter(name = "ICO")
    String ico();

    @Parameter(name = "IDDotaznik")
    Long iDDotaznik();

    @Parameter(name = "Jmeno")
    String jmeno();

    @Parameter(name = "KategorieKlienta")
    String kategorieKlienta();

    @Parameter(name = "MistoNarozeni")
    String mistoNarozeni();

    @Parameter(name = "OPCislo")
    String oPCislo();

    @Parameter(name = "OPPlatnost")
    java.util.Date oPPlatnost();

    @Parameter(name = "PSC")
    String psc();

    @Parameter(name = "PasCislo")
    String pasCislo();

    @Parameter(name = "PasPlatnost")
    java.util.Date pasPlatnost();

    @Parameter(name = "PlatceDPH")
    String platceDPH();

    @Parameter(name = "Prijmeni")
    String prijmeni();

    @Parameter(name = "ProfilKlienta")
    String profilKlienta();

    @Parameter(name = "RezidentCR")
    String rezidentCR();

    @Parameter(name = "RezidentSR")
    String rezidentSR();

    @Parameter(name = "RodneCislo")
    String rodneCislo();

    @Parameter(name = "Sidlo")
    String sidlo();

    @Parameter(name = "StatniPrislusnost")
    String statniPrislusnost();

    @Parameter(name = "TitulPred")
    String titulPred();

    @Parameter(name = "TitulZa")
    String titulZa();

    @Parameter(name = "TypKlient")
    String typKlient();

    @Parameter(name = "TypOdpoved")
    String typOdpoved();

    @Parameter(name = "Ulice")
    String ulice();

    @Parameter(name = "VerzeDotaznik")
    Long verzeDotaznik();

    @Parameter(name = "Zeme")
    String zeme();

    @Parameter(name = "ZvyhodnenyKlient")
    String zvyhodnenyKlient();

}